vlax-curve-getendparam


(vlax-curve-getendparam curveEnt)

This function returns the "end parameter" of the curveEnt curve entity.

Arguments

curveEnt  (ename or vla-object) the COM object of any "curve" entity

Return

double;  the end parameter of the curve or NIL

Example

last entity is a LINE<0,0,0> to <10,10,10> :
(setq ent (vlax-ename->vla-object (entlast)))  #<VLA-OBJECT IAcadLine 000000004E8E3928>
(vlax-curve-getendparam ent)  17.3205080756888

Remarks

it is up to the curve entity to define what it "end parameter" means - never assume a particular meaning of "end parameter" !
(i.e. for some entities it is the length of the curve, for others it is the number of vertices etc.)



©  Bricsys NV. All rights reserved.